package database

import (
	"context"

	"git.anthrove.art/Anthrove/otter-space-sdk/v2/pkg/models"
)

type Source interface {

	// CreateSource adds a new source to the database.
	CreateSource(ctx context.Context, anthroveSource *models.Source) error

	// GetAllSources retrieves all sources.
	GetAllSources(ctx context.Context) ([]models.Source, error)

	// GetSourceByDomain retrieves a source by its URL.
	GetSourceByDomain(ctx context.Context, sourceDomain models.AnthroveSourceDomain) (*models.Source, error)
}
