package database

import (
	"context"

	"git.anthrove.art/Anthrove/otter-space-sdk/v2/pkg/models"
)

type Tag interface {
	CreateTag(ctx context.Context, tagName models.AnthroveTagName, tagType models.TagType) error

	CreateTagInBatchAndUpdate(ctx context.Context, tags []models.Tag, batchSize int) error

	// GetAllTags retrieves all tags.
	GetAllTags(ctx context.Context) ([]models.Tag, error)

	GetAllTagsByTagType(ctx context.Context, tagType models.TagType) ([]models.Tag, error)

	DeleteTag(ctx context.Context, tagName models.AnthroveTagName) error
}
