package database

import (
	"context"

	"git.anthrove.art/Anthrove/otter-space-sdk/v2/pkg/models"
)

type TagAlias interface {
	CreateTagAlias(ctx context.Context, tagAliasName models.AnthroveTagAliasName, tagID models.AnthroveTagID) error

	CreateTagAliasInBatch(ctx context.Context, tagsAliases []models.TagAlias, batchSize int) error

	GetAllTagAlias(ctx context.Context) ([]models.TagAlias, error)

	GetAllTagAliasByTag(ctx context.Context, tagID models.AnthroveTagID) ([]models.TagAlias, error)

	DeleteTagAlias(ctx context.Context, tagAliasName models.AnthroveTagAliasName) error
}
