package database

import (
	"context"

	"git.anthrove.art/Anthrove/otter-space-sdk/v2/pkg/models"
)

type TagGroup interface {
	CreateTagGroup(ctx context.Context, tagGroupName models.AnthroveTagGroupName, tagID models.AnthroveTagID) error

	CreateTagGroupInBatch(ctx context.Context, tagsGroups []models.TagGroup, batchSize int) error

	GetAllTagGroup(ctx context.Context) ([]models.TagGroup, error)

	GetAllTagGroupByTag(ctx context.Context, tagID models.AnthroveTagID) ([]models.TagGroup, error)

	DeleteTagGroup(ctx context.Context, tagGroupName models.AnthroveTagGroupName) error
}
